Subject: I-D ACTION:draft-ietf-ldapext-ldap-java-api-01.txt

From: [email-masked]
Date: Mon, 16 Mar 1998 08:56:50 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the LDAP Extension Working Group of the IETF.

	Title		: The Java LDAP Application Program Interface
	Author(s)	: T. Howes, M. Smith, R. Weltman
	Filename	: draft-ietf-ldapext-ldap-java-api-01.txt
	Pages		: 72
	Date		: 13-Mar-98
	
   The LDAP class library is designed to provide powerful, yet simple,
   access to a LDAP directory services.  It defines a synchronous
   interface to LDAP, with support for partial results on searching, to
   suit a wide variety of applications. This document gives a brief
   overview of the LDAP model, then an overview of the constituents of
   the class library.
   The public class methods are described in detail, followed by an
   appendix that provides some example code demonstrating the use of the
   classes, and an appendix listing changes from earlier drafts.

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-ldapext-ldap-java-api-01.txt".
A URL for the Internet-Draft is:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-ldapext-ldap-java-api-01.txt

Internet-Drafts directories are located at:

	Africa:	ftp.is.co.za
	
	Europe: ftp.nordu.net
		ftp.nis.garr.it
			
	Pacific Rim: munnari.oz.au
	
	US East Coast: ds.internic.net
	
	US West Coast: ftp.isi.edu

Internet-Drafts are also available by mail.

Send a message to:	[email-masked].  In the body type:
	"FILE /internet-drafts/draft-ietf-ldapext-ldap-java-api-01.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.